Subject: Re: [PATCH v2] cxl: Add kernel API to allow a context to operate with relocate disabled

From: Frederic Barrat <[email-masked]>
Date: Tue, 10 May 2016 19:14:33 +0200

Le 06/05/2016 09:46, Ian Munsie a écrit :
> From: Ian Munsie <[email-masked]>
>
> cxl devices typically access memory using an MMU in much the same way as
> the CPU, and each context includes a state register much like the MSR in
> the CPU. Like the CPU, the state register includes a bit to enable
> relocation, which we currently always enable.
>
> In some cases, it may be desirable to allow a device to access memory
> using real addresses instead of effective addresses, so this adds a new
> API, cxl_set_translation_mode, that can be used to disable relocation
> on a given kernel context. This can allow for the creation of a special
> privileged context that the device can use if it needs relocation
> disabled, and can use regular contexts at times when it needs relocation
> enabled.
>
> This interface is only available to users of the kernel API for obvious
> reasons, and will never be supported in a virtualised environment.
>
> This will be used by the upcoming cxl support in the mlx5 driver.
>
> Signed-off-by: Ian Munsie <[email-masked]>

Looks good to me.
Reviewed-by: Frederic Barrat <[email-masked]>

   Fred